Bug 207247 - [71cat] NullPointerException at org.netbeans.modules.php.editor.nav.DeclarationFinderImpl.getReferenceSpan
[71cat] NullPointerException at org.netbeans.modules.php.editor.nav.Declarati...
Status: RESOLVED FIXED
Product: php
Classification: Unclassified
Component: Editor
7.2
All All
: P3 (vote)
: 7.2
Assigned To: Ondrej Brejla
issues@php
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-12 22:35 UTC by schkovich
Modified: 2012-01-15 16:08 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.29 KB, text/plain)
2012-01-12 22:35 UTC, schkovich
Details

Note You need to log in before you can comment on or make changes to this bug.
Description schkovich 2012-01-12 22:35:26 UTC
Build: NetBeans IDE Dev (Build 201201110601)
VM: Java HotSpot(TM) 64-Bit Server VM, 21.0-b17, Java(TM) SE Runtime Environment, 1.7.0-b147
OS: Linux

User Comments:
schkovich: opening empty *.phtml file




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.php.editor.nav.DeclarationFinderImpl.getReferenceSpan(DeclarationFinderImpl.java:210)
   at org.netbeans.modules.php.editor.nav.OccurrencesFinderImpl.compute(OccurrencesFinderImpl.java:137)
   at org.netbeans.modules.php.editor.nav.OccurrencesFinderImpl.run(OccurrencesFinderImpl.java:112)
   at org.netbeans.modules.csl.editor.semantic.MarkOccurrencesHighlighter.processImpl(MarkOccurrencesHighlighter.java:186)
   at org.netbeans.modules.csl.editor.semantic.MarkOccurrencesHighlighter.run(MarkOccurrencesHighlighter.java:135)
   at org.netbeans.modules.csl.editor.semantic.MarkOccurrencesHighlighter.run(MarkOccurrencesHighlighter.java:84)
Comment 1 schkovich 2012-01-12 22:35:28 UTC
Created attachment 114847 [details]
stacktrace
Comment 2 Ondrej Brejla 2012-01-13 10:57:23 UTC
Fixed in web-main: http://hg.netbeans.org/web-main/rev/ad605a30cd4a
Comment 3 Quality Engineering 2012-01-15 16:08:04 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/ad605a30cd4a
User: Ondrej Brejla <obrejla@netbeans.org>
Log: #207247 - [71cat] NullPointerException at org.netbeans.modules.php.editor.nav.DeclarationFinderImpl.getReferenceSpan


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo